> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/settings/file-mappings/file-mapping-details.md).

# File Mapping details

The details that describe and define file mappings.

You can add and update File mappings through [Settings](/pim3/reference/settings.md) > [File mappings](/pim3/reference/settings/file-mappings.md).

### Name

The display name for this file mapping.

### Type

The type of file mapping.

### Description

A description for the file mapping.

### Availability

The user groups who can use this file mapping. Leave empty if file mapping is available to all user groups.

### Use fallbacks

Determines whether if you want empty localized or segmented values to fallback.

### Direction

The direction for import/export.

### Fields mapping

The fields setup that define the file mapping.

### Enable custom template

Determines whether to use a custom template.

### Select file

An excel file to upload and use as template for exports.

### Worksheet number

The worksheet number where data should be inserted.

### Start row

The first row number where data should be inserted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/settings/file-mappings/file-mapping-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
